%bcond_without gtk

Name: audacious
Version: 4.3.1
Release: 1%{?dist}

%global tar_ver %{version}

%global aud_ver 4.1


License: BSD
Summary: Advanced audio player
URL: https://audacious-media-player.org/
Group: Applications/Multimedia

Source0: https://distfiles.audacious-media-player.org/%{name}-%{tar_ver}.tar.bz2

BuildRequires: libappstream-glib

BuildRequires: gcc-c++
BuildRequires: gettext
%{?with_gtk:BuildRequires: pkgconfig(gtk+-2.0)}
BuildRequires: pkgconfig(glib-2.0)
BuildRequires: desktop-file-utils
BuildRequires: make

BuildRequires: qt5-qtbase-devel
BuildRequires: pkgconfig(Qt5Core)
BuildRequires: pkgconfig(Qt5Gui)
BuildRequires: pkgconfig(Qt5Widgets)

Requires: audacious-libs = %{version}-%{release}

Requires: audacious-plugins >= %{aud_ver}

Requires: hicolor-icon-theme
Requires: gnome-icon-theme
Requires: qt5-qtsvg

Provides: xmms-gui

%description
Audacious is an advanced audio player. It is free, lightweight, currently
based on GTK+ 2, runs on Linux and many other *nix platforms and is
focused on audio quality and supporting a wide range of audio codecs.
It still features an alternative skinned user interface (based on
Winamp 2.x skins). Historically, it started as a fork of Beep Media
Player (BMP), which itself forked from XMMS.


%package libs
Summary: Library files for the Audacious audio player
Group: System Environment/Libraries
%global aud_plugin_api 48
%global aud_plugin_api_min 48
Provides: audacious(plugin-api) = %{aud_plugin_api}

%description libs
Library files for the Audacious audio player.


%package devel
Summary: Development files for the Audacious audio player
Group: Development/Libraries
Requires: %{name}-libs = %{version}-%{release}
Requires: glib2-devel
%{?with_gtk:Requires: gtk2-devel}

%description devel
Files needed when building software for the Audacious audio player.


%prep
%autosetup -p1 -n %{name}-%{tar_ver}

api=$(grep '[ ]*#define[ ]*_AUD_PLUGIN_VERSION[ ]\+' src/libaudcore/plugin.h | sed 's!.*_AUD_PLUGIN_VERSION[ ]*\([0-9]\+\).*!\1!')
[ "${api}" == "%{aud_plugin_api}" ] || exit -1
api_min=$(grep '[ ]*#define[ ]*_AUD_PLUGIN_VERSION_MIN' src/libaudcore/plugin.h | sed 's!.*_AUD_PLUGIN_VERSION_MIN[ ]*\([0-9]\+\).*!\1!')
[ "${api_min}" == "%{aud_plugin_api_min}" ] || exit -1

sed -i '\,^.SILENT:,d' buildsys.mk.in
sed -i 's!MAKE} -s!MAKE} !' buildsys.mk.in


%build

%configure  \
    %{?with_gtk:--enable-gtk} \
    %{!?with_gtk:--disable-gtk} \
    --disable-libarchive \
    --with-buildstamp="OpenCloudOS package"  \
    --disable-silent-rules \
    --disable-rpath \
    --disable-dependency-tracking
make %{?_smp_mflags}


%install
%make_install INSTALL="install -p"
find %{buildroot} -type f -name "*.la" -exec rm -f {} ';'

%find_lang %{name}

desktop-file-install  \
    --dir %{buildroot}%{_datadir}/applications  \
    %{buildroot}%{_datadir}/applications/audacious.desktop

install -D -m0644 contrib/%{name}.appdata.xml %{buildroot}%{_datadir}/appdata/%{name}.appdata.xml
appstream-util validate-relax --nonet %{buildroot}%{_datadir}/appdata/%{name}.appdata.xml


%files -f %{name}.lang
%doc AUTHORS
%{_bindir}/audacious
%{_bindir}/audtool
%{_datadir}/audacious/
%{_mandir}/man[^3]/*
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}*.*
%{_datadir}/appdata/%{name}.appdata.xml

%files libs
%license COPYING
%{_libdir}/*.so.*

%files devel
%{_includedir}/audacious/
%{_includedir}/libaudcore/
%{_includedir}/libaudqt/
%{?with_gtk:%{_includedir}/libaudgui/}
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Thu Apr 11 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.3.1-1
- initial build
